<?php 
namespace Natz\AccountVerify\Controller\Action;

use Magento\Framework\App\Action\Context;

class CheckAccount extends \Magento\Framework\App\Action\Action
{

    protected $_verProcess;

    protected $resultJsonFactory; 

    protected $_request;

    protected $cart;

    protected $_session;

    public function __construct(
        Context $context,
        \Natz\AccountVerify\Model\VerificationProcess $verProcess,
        \Magento\Framework\Controller\Result\JsonFactory $resultJsonFactory,
        \Magento\Framework\App\Request\Http $request,
        \Magento\Checkout\Model\Cart $cartData,
        \Magento\Customer\Model\Session $session
    )
    {
        parent::__construct($context);
        $this->_verProcess = $verProcess;
        $this->resultJsonFactory = $resultJsonFactory;
        $this->_request = $request;
        $this->cart = $cartData;
         $this->_session = $session;
    }
    public function execute()
    {   
        $result = $this->resultJsonFactory->create();

        $data['email']= $this->_request->getPost('email');
        $data['countrycode']= $this->_request->getPost('co');
        $mb= $this->_request->getPost('mobile_number');

        if ($this->_session->isLoggedIn() && $mb=='') {
            $checkMobileNumber = $this->_verProcess->getMobileNumberIfNotExist($data['email']);
            $mobilenumber = $checkMobileNumber[0]['mobile_number'];
        } else {
            $mobilenumber = $mb;  
        }

        $data['mobile_number'] = $mobilenumber;
        
        $response = $this->_verProcess->validateAccount($data);

        if (count($response)==1){
            if ($response[0]['ver_status']=='Confirmed'){
                $strRet= 'confirmed';
            }else{
                $strRet= 'waiting';
            }
        }else{
            $strRet= 'notverified';
        }

         $result->setData(['resultstatus' => $strRet]);
         return $result;  
    }
}