<?php 
namespace Natz\AccountVerify\Controller\Action;

use Magento\Framework\App\Action\Context;

class VerifyProcess extends \Magento\Framework\App\Action\Action
{

    protected $_verProcess;

    protected $resultJsonFactory; 

    protected $_request;

    protected $cart;

    public function __construct(
        Context $context,
        \Natz\AccountVerify\Model\VerificationProcess $verProcess,
        \Magento\Framework\Controller\Result\JsonFactory $resultJsonFactory,
        \Magento\Framework\App\Request\Http $request,
        \Magento\Checkout\Model\Cart $cartData
    )
    {
        parent::__construct($context);
        $this->_verProcess = $verProcess;
        $this->resultJsonFactory = $resultJsonFactory;
        $this->_request = $request;
        $this->cart = $cartData;
    }
    public function execute()
    {   
        $result = $this->resultJsonFactory->create();
        $billingAddress =  $this->cart->getQuote()->getBillingAddress();
        $result = $this->resultJsonFactory->create();

        $data['mobile_number']= $this->_request->getPost('mobile_number');
        $data['email']= $this->_request->getPost('email');
        $data['ver_code']= $this->_request->getPost('code');
        $data['countrycode']= $this->_request->getPost('co');

        $response = $this->_verProcess->verifyRecord($data);
   
         if ($response){
            $message = "Your account has been successfully verified.\nYou may now continue placing your order.";
            $type = '1';
        }else{
            $message = 'Invalid Code. Please try again. ';
            $type = '0';
        }
        $result->setData(['message' => $message,'messagetype' => $type]);
        return $result;  
    }
}