<?php
namespace Natz\AccountVerify\Model;


class SmsSend
{

    protected $_helper;

    protected $_messageParser;

    protected $_countryCode;

    public function __construct(
        \Natz\AccountVerify\Model\Smslogs $sms,
        \Natz\AccountVerify\Helper\Data $helper,
        \Natz\AccountVerify\Helper\CountryCode $country_code,
        \Natz\AccountVerify\Helper\MessageTemplateParser $messageParser
    ) {
        $this->_sms = $sms;
        $this->_helper = $helper;
        $this->_messageParser = $messageParser;
        $this->_countryCode = $country_code;
    }

    public function sendVerificationCode($code,$mobileno,$countryCode) {

        return $response = $this->sendB2BSms($code,$mobileno,$countryCode);

    }

    private function sendB2BSms($code,$mb,$countryCode)
    {   

        $host = trim($this->_helper->getB2BSMSHost());
        $username = trim($this->_helper->getB2BUserId());
        $password = trim($this->_helper->getB2BPassword());
        $message = trim($this->_helper->getSMSTemplate());
        
        $areacode = $this->_countryCode->getCountryCallingCode($countryCode);
        $mobileNumber = $this->_messageParser->updateCountryCode($areacode,$mb,10);

        $vars = [];
        $vars['code'] = $code;
        
        $template = $this->_messageParser->filterTemplate($this->_messageParser->parseTemplate($message, $vars));

        $mobileno =  $this->_messageParser->filterMobile($mobileNumber);

        $url = $host."?userid=".$username."&pwd=".$password."&msg=".$template."&mobileno=". $mobileno;
        $response =$this->execCurl($url);

        $result= array($response,$mobileno);
        return $result;


    }

    private function execCurl($url)
    {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $response = curl_exec($ch);

        curl_close($ch);
        return $response;
    }
}